Bug 736199 - testinfo.py inconsistent between beaker and rhts packages
Summary: testinfo.py inconsistent between beaker and rhts packages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: scheduler
Version: 0.7
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-07 00:32 UTC by Dan Callaghan
Modified: 2019-05-22 13:40 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-15 00:16:24 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2011-09-07 00:32:52 UTC
Over time the two copies of testinfo.py in beaker (Server/bkr/server/testinfo.py) and rhts (python-modules/rhts/testinfo.py) have drifted apart. The former is used in Beaker server for parsing testinfo of uploaded tasks, the latter in rhts-lint for validating testinfo before uploading. To be useful these two should behave in exactly the same way, so they should probably be consolidated into one copy of the file.

rhts-devel already depends on beaker-client, so one solution would be to move testinfo.py into beaker's common module and make rhts-lint use it from there.

Comment 1 Marian Csontos 2011-09-07 06:17:07 UTC
And to make things worse, it is used by beah as well.

Comment 2 Dan Callaghan 2011-09-15 23:32:00 UTC
I have not tackled the duplicated testinfo.py in beah as part of this bug.

Comment 3 Marian Csontos 2011-09-16 06:16:32 UTC
beah does not have its own duplicate, it just uses the module, which is now removed :-(

beaker-client can not be used on machines as we do not have all dependencies (kobo for example does not work with python-2.3 IIRC)

beaker-client is fully operable without rhts* and so should be rhts-dev-env without beaker*, the only thing which rhts-dev-env need is bkr tasks-add and this should be IMO just a "recommended" package not a hard requirement - one may still want to develop and run tasks locally without any need for beaker-client.

Also when test library is decoupled from beaker (as is planned) we will have to move it back. IMO the right thing now is to make beaker dependent on rhts-dev-env and remove this once the split is over.

Comment 4 Dan Callaghan 2011-09-16 06:43:19 UTC
Reverted this change on develop. Will try again in 0.7.3.

Comment 5 Dan Callaghan 2011-09-30 06:00:19 UTC
Left this one a bit late, bumping to 0.7.4.


Note You need to log in before you can comment on or make changes to this bug.